From f6ba4af85f816d64b38e26218fb5d1080d4ad102 Mon Sep 17 00:00:00 2001
From: Joshua Roys <roysjosh@gmail.com>
Date: Wed, 4 Aug 2010 15:11:30 -0400
Subject: [PATCH] Board enable for MSI MS-6577

---
 board_enable.c |   12 ++++++++++++
 1 files changed, 12 insertions(+), 0 deletions(-)

diff --git a/board_enable.c b/board_enable.c
index 23b4720..cdca95c 100644
--- a/board_enable.c
+++ b/board_enable.c
@@ -307,6 +307,17 @@ static int winbond_gpio_set(uint16_t base, enum winbond_id chipid,
 }
 
 /**
+ * Winbond W83627HF: Raise GPIO22.
+ *
+ * Suited for:
+ *  - MSI MS-6577
+ */
+static int w83627hf_gpio22_raise_2e()
+{
+	return winbond_gpio_set(0x2e, WINBOND_W83627HF_ID, 22, 1);
+}
+
+/**
  * Winbond W83627HF: Raise GPIO24.
  *
  * Suited for:
@@ -1743,6 +1754,7 @@ const struct board_pciid_enable board_pciid_enables[] = {
 	{0x8086, 0x27A0, 0x8086, 0x27a0,  0x8086, 0x27b8, 0x8086, 0x27b8, NULL,          "kontron",    "986lcd-m",    "Kontron",     "986LCD-M",              0,   OK, board_kontron_986lcd_m},
 	{0x8086, 0x2411, 0x8086, 0x2411,  0x8086, 0x7125, 0x0e11, 0xb165, NULL,          NULL,         NULL,          "Mitac",       "6513WU",                0,   OK, board_mitac_6513wu},
 	{0x10DE, 0x005E, 0x1462, 0x7125,  0x10DE, 0x0052, 0x1462, 0x7125, NULL,          NULL,         NULL,          "MSI",         "K8N Neo4-F",            0,   OK, nvidia_mcp_gpio2_raise},
+	{0x8086, 0x2560, 0x1462, 0x5770,  0x8086, 0x2562, 0x1462, 0x5778, NULL,          NULL,         NULL,          "MSI",         "MS-6577",               0,   NT, w83627hf_gpio22_raise_2e},
 	{0x13f6, 0x0111, 0x1462, 0x5900,  0x1106, 0x3177, 0x1106,      0, NULL,          NULL,         NULL,          "MSI",         "MS-6590 (KT4 Ultra)",   0,   OK, board_msi_kt4v},
 	{0x1106, 0x3149, 0x1462, 0x7094,  0x10ec, 0x8167, 0x1462, 0x094c, NULL,          NULL,         NULL,          "MSI",         "MS-6702E (K8T Neo2-F)", 0,   OK, w83627thf_gpio44_raise_2e},
 	{0x1106, 0x0571, 0x1462, 0x7120,  0x1106, 0x3065, 0x1462, 0x7120, NULL,          NULL,         NULL,          "MSI",         "MS-6712 (KT4V)",        0,   OK, board_msi_kt4v},
-- 
1.7.2

